Package org.eclipse.ui.editors.text

# Class FileDocumentProvider.FileSynchronizer

java.lang.Object
org.eclipse.ui.editors.text.FileDocumentProvider.FileSynchronizer

All Implemented Interfaces:
  `EventListener`, `IResourceChangeListener`, `IResourceDeltaVisitor`

Enclosing class:
  `FileDocumentProvider`

protected class FileDocumentProvider.FileSynchronizer extends Object implements IResourceChangeListener, IResourceDeltaVisitor
Synchronizes the document with external resource changes.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected IFileEditorInput`
`fFileEditorInput`
The file editor input.
`protected boolean`
`fIsInstalled`
A flag indicating whether this synchronizer is installed or not.

### Fields inherited from interface org.eclipse.core.resources.IResourceChangeListener

`PROPERTY_EVENT_MASK`

## Constructor Summary

Constructors
Constructor
Description
`FileSynchronizer(IFileEditorInput fileEditorInput)`
Creates a new file synchronizer.
`FileSynchronizer(FileEditorInput fileEditorInput)`
Deprecated.
use `FileSynchronizer(IFileEditorInput)`

## Method Summary

Modifier and Type
Method
Description
`protected IFile`
`getFile()`
Returns the file wrapped by the file editor input.
`void`
`install()`
Installs the synchronizer on the input's file.
`void`
`resourceChanged(IResourceChangeEvent e)`
Notifies this listener that some resource changes are happening, or have already happened.
`void`
`uninstall()`
Uninstalls the synchronizer from the input's file.
`protected void`
`update(Runnable runnable)`
Posts the update code "behind" the running operation.
`boolean`
`visit(IResourceDelta delta)`
Visits the given resource delta.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fFileEditorInput

protected IFileEditorInput fFileEditorInput
The file editor input.

### fIsInstalled

protected boolean fIsInstalled
A flag indicating whether this synchronizer is installed or not.

Since:
  2.1

## Constructor Details

### FileSynchronizer

public FileSynchronizer(IFileEditorInput fileEditorInput)
Creates a new file synchronizer. Is not yet installed on a resource.

Parameters:
  `fileEditorInput` - the editor input to be synchronized

### FileSynchronizer

@Deprecated public FileSynchronizer(FileEditorInput fileEditorInput)
Deprecated.
use `FileSynchronizer(IFileEditorInput)`
Creates a new file synchronizer which is not yet installed on a resource.

Parameters:
  `fileEditorInput` - the editor input to be synchronized

## Method Details

### getFile

protected IFile getFile()
Returns the file wrapped by the file editor input.

Returns:
  the file wrapped by the editor input associated with that synchronizer

### install

public void install()
Installs the synchronizer on the input's file.

### uninstall

public void uninstall()
Uninstalls the synchronizer from the input's file.

### resourceChanged

public void resourceChanged(IResourceChangeEvent e)
Description copied from interface: `IResourceChangeListener`
Notifies this listener that some resource changes are happening, or have already happened.

The supplied event gives details. This event object (and the resource delta within it) is valid only for the duration of the invocation of this method.

Note: This method is called by the platform; it is not intended to be called directly by clients.

Note that during resource change event notification, further changes to resources may be disallowed.

Specified by:
  `resourceChanged` in interface `IResourceChangeListener`
Parameters:
  `e` - the resource change event
See Also:
  - `IResourceDelta`

### visit

public boolean visit(IResourceDelta delta) throws CoreException
Description copied from interface: `IResourceDeltaVisitor`
Visits the given resource delta.

Specified by:
  `visit` in interface `IResourceDeltaVisitor`
Returns:
  `true` if the resource delta's children should be visited; `false` if they should be skipped.
Throws:
  `CoreException` - if the visit fails for some reason.

### update

protected void update(Runnable runnable)
Posts the update code "behind" the running operation.

Parameters:
  `runnable` - the update code